package com.ruoyi.nanjing.mapper;

import java.util.List;
import com.ruoyi.nanjing.domain.TBdProducttype;

/**
 * 机种类型Mapper接口
 * 
 * @author limy
 * @date 2021-01-22
 */
public interface TBdProducttypeMapper 
{
    /**
     * 查询机种类型
     * 
     * @param ID 机种类型ID
     * @return 机种类型
     */
    public TBdProducttype selectTBdProducttypeById(Long ID);

    /**
     * 查询机种类型列表
     * 
     * @param tBdProducttype 机种类型
     * @return 机种类型集合
     */
    public List<TBdProducttype> selectTBdProducttypeList(TBdProducttype tBdProducttype);

    /**
     * 新增机种类型
     * 
     * @param tBdProducttype 机种类型
     * @return 结果
     */
    public int insertTBdProducttype(TBdProducttype tBdProducttype);

    /**
     * 修改机种类型
     * 
     * @param tBdProducttype 机种类型
     * @return 结果
     */
    public int updateTBdProducttype(TBdProducttype tBdProducttype);

    /**
     * 删除机种类型
     * 
     * @param ID 机种类型ID
     * @return 结果
     */
    public int deleteTBdProducttypeById(Long ID);

    /**
     * 批量删除机种类型
     * 
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBdProducttypeByIds(String[] IDs);

    List<TBdProducttype> selectTBdProducttype();
}
